Index: c/src/lib/libcpu/powerpc/mpc860/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc860/Makefile.am	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/lib/libcpu/powerpc/mpc860/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -1,5 +1,5 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
Index: c/src/lib/libcpu/powerpc/mpc860/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc860/clock/Makefile.am	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/lib/libcpu/powerpc/mpc860/clock/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -1,5 +1,5 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
@@ -18,6 +18,4 @@
 #
 
-AM_CFLAGS = $(CFLAGS_OS_V)
-
 $(PGM): $(clock_rel_OBJECTS)
 	$(make-rel)
Index: c/src/lib/libcpu/powerpc/mpc860/console-generic/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc860/console-generic/Makefile.am	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/lib/libcpu/powerpc/mpc860/console-generic/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -1,5 +1,5 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
@@ -18,6 +18,4 @@
 #
 
-AM_CFLAGS = $(CFLAGS_OS_V)
-
 $(PGM): $(console_generic_rel_OBJECTS)
 	$(make-rel)
Index: c/src/lib/libcpu/powerpc/mpc860/console-generic/console-generic.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc860/console-generic/console-generic.c	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/lib/libcpu/powerpc/mpc860/console-generic/console-generic.c	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -75,5 +75,4 @@
 static int m860_get_brg_cd(int);
 unsigned char m860_get_brg_clk(int);
-void m860_console_reserve_resources(rtems_configuration_table *);
 unsigned char m860_get_brg_clk(int);
 
@@ -103,6 +102,6 @@
 unsigned char m860_get_brg_clk(int baud)
 {
-  static short brg_spd[4];
-  static char  brg_used[4];
+  static int  brg_spd[4];
+  static char brg_used[4];
   int i;
 
@@ -386,6 +385,6 @@
    * Put SMC in NMSI mode, connect SMC to BRG
    */
-  m860.simode &= ~0x7000 << ((port-1) * 8);
-  m860.simode |= brg << (12 + ((port-1) * 8));
+  m860.simode &= ~(0x7000 << ((port-1) * 16));
+  m860.simode |= brg << (12 + ((port-1) * 16));
 
   /*
@@ -769,12 +768,4 @@
   TxBd[minor]->status = M860_BD_READY | M860_BD_WRAP;
   return 0;
-}
-
-/*
- * This is needed in case we use TERMIOS
- */
-void m860_console_reserve_resources(rtems_configuration_table *configuration)
-{
-  rtems_termios_reserve_resources (configuration, 1);
 }
 
Index: c/src/lib/libcpu/powerpc/mpc860/include/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc860/include/Makefile.am	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/lib/libcpu/powerpc/mpc860/include/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -1,5 +1,5 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
@@ -10,8 +10,7 @@
 noinst_HEADERS = $(H_FILES) $(MPC860_H_FILES)
 
-PREINSTALL_FILES = \
-$(PROJECT_INCLUDE)/mpc860 \
-$(H_FILES:%.h=$(PROJECT_INCLUDE)/%.h) \
-$(MPC860_H_FILES:%.h=$(PROJECT_INCLUDE)/mpc860/%.h)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/mpc860 \
+    $(H_FILES:%.h=$(PROJECT_INCLUDE)/%.h) \
+    $(MPC860_H_FILES:%.h=$(PROJECT_INCLUDE)/mpc860/%.h)
 
 $(PROJECT_INCLUDE)/mpc860:
@@ -24,5 +23,5 @@
 	$(INSTALL_DATA) $< $@
 
-all-local: $(PREINSTALL_FILES) 
+all-local: $(PREINSTALL_FILES)
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc860/include/mpc860.h
===================================================================
--- c/src/lib/libcpu/powerpc/mpc860/include/mpc860.h	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/lib/libcpu/powerpc/mpc860/include/mpc860.h	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -113,6 +113,6 @@
  */
 typedef struct m860MEMCRegisters_ {
-  rtems_unsigned32        br;
-  rtems_unsigned32        or;
+  rtems_unsigned32        _br;
+  rtems_unsigned32        _or;
 } m860MEMCRegisters_t;
 
Index: c/src/lib/libcpu/powerpc/mpc860/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc860/timer/Makefile.am	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/lib/libcpu/powerpc/mpc860/timer/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -1,5 +1,5 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
@@ -18,6 +18,4 @@
 #
 
-AM_CFLAGS = $(CFLAGS_OS_V)
-
 $(PGM): $(timer_rel_OBJECTS)
 	$(make-rel)
Index: c/src/lib/libcpu/powerpc/mpc860/vectors/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc860/vectors/Makefile.am	(revision bf85b19188f6c4a20cc6cc42a3f32f9ddb92d9ce)
+++ c/src/lib/libcpu/powerpc/mpc860/vectors/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
@@ -1,10 +1,11 @@
-## 
+##
 ## $Id$
-## 
+##
 
 AUTOMAKE_OPTIONS = foreign 1.4
 
+VPATH = @srcdir@:@srcdir@/../../ppc403/vectors
+
 ## FIXME
-VPATH = @srcdir@:@srcdir@/../../ppc403/vectors
 
 PGM = ${ARCH}/vectors.rel
@@ -22,6 +23,4 @@
 #
 
-AM_CFLAGS = $(CFLAGS_OS_V)
-
 $(PGM): $(vectors_rel_OBJECTS)
 	$(make-rel)
